from sequoia.base3.testing.case import ApiTestCase


class EmptyBodyTestCase(ApiTestCase):
    app_settings = {"sequoia.export": "sequoia.base3.tests.api.dummy"}

    def test_no_body(self):
        self.app.post_json("/empty-body", params=None, status=400)


class EmptyBodyPytandicTestCase(EmptyBodyTestCase):
    app_settings = {
        "pyramid.includes": "sequoia.base3.helpers.pydantic",
        "sequoia.export": "sequoia.base3.tests.api.dummy_pydantic",
    }

    def test_no_body(self):
        # we always raise 422
        self.app.post_json("/empty-body", params=None, status=422)
